Page MenuHomePhabricator

localrepo: abort creating a shared repo if the source does not have store
ClosedPublic

Authored by pulkit on Jul 21 2020, 9:41 AM.

Details

Summary

We cannot create a shared repository without a store IIUC. Let's abort in such
cases.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jul 21 2020, 9:41 AM
pulkit updated this revision to Diff 22067.Jul 23 2020, 10:51 AM
martinvonz added inline comments.
mercurial/localrepo.py
3340

Same comment/question as on the previous patch: Unless the user is supposed to know what "'store' requirement" is, we should instead point to the config (or any other way of enabling the requirement we may have).

pulkit marked an inline comment as done.Aug 1 2020, 10:31 AM
pulkit added inline comments.
mercurial/localrepo.py
3340

Agreed. Fixed in updated version.

pulkit marked an inline comment as done.Aug 1 2020, 10:35 AM
pulkit updated this revision to Diff 22170.
indygreg accepted this revision.Aug 2 2020, 3:53 PM
This revision is now accepted and ready to land.Aug 2 2020, 3:53 PM